Subject: Re: [PATCH 5/8] rfkill: Remove obsolete "state" sysfs interface

From: Johannes Berg <[email-masked]>
Date: Tue, 19 Jan 2016 21:44:51 +0100

On Tue, 2016-01-19 at 15:36 -0500, João Paulo Rechi Vita wrote:
> 
> > I suspect that nevertheless, we can't just remove it - Googling
> > around shows quite a bit of (e.g. Android) code using it.
> > 
> 
> Should I update the expected removal date to 2018, or some other time
> in the future? Or if this is not going to be removed at all,
> shouldn't it be moved back to stable?
> 

Yeah, maybe we should just move it back. The problem with it is that it
doesn't fully reflect the state (both sw+hw blocked can't be reflected)
but if the current users are happy with it then that's not really a
problem.

johannes